package com.wecloud.im.sdk.common;

import java.util.Map;
import java.util.TreeMap;

/**
 * Common class for both HTTP request and HTTP response.
 */
public abstract class HttpMesssage {

    protected Map<String, String> headers = new TreeMap<>(String.CASE_INSENSITIVE_ORDER);
    ;

    public Map<String, String> getHeaders() {
        return headers;
    }

    public void setHeaders(Map<String, String> headers) {
        this.headers = headers;
    }
}
